package com.ghy.order.domain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ghy.common.annotation.Excel;
import com.ghy.common.core.domain.BaseEntity;

/**
 * 订单操作记录对象 order_operation_record
 *
 * @author clunt
 * @date 2024-02-17
 */
@Data
@ApiModel(value = "订单操作记录")
public class OrderOperationRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 订单id */
    @Excel(name = "订单id")
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    /** 订单类型 01.主单 02.子单 */
    @Excel(name = "订单类型 01.主单 02.子单")
    @ApiModelProperty(value = "订单类型 01.主单 02.子单")
    private String orderType;

    /** 操作内容 */
    @Excel(name = "操作内容")
    @ApiModelProperty(value = "操作内容")
    private String content;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("orderId", getOrderId())
                .append("orderType", getOrderType())
                .append("content", getContent())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("remark", getRemark())
                .toString();
    }
}
